import { Injectable } from '@angular/core';
import { Subject, BehaviorSubject } from 'rxjs';

export enum Action {
  submit,
  next,
  back
}
export enum Result {
  completed,
  error,

}
@Injectable()
export class EmployeeFirstTimeActionsButtonsService {
  private buttonsAction = new Subject<Action>();
  buttonsAction$ = this.buttonsAction.asObservable();

  private resultAction = new Subject<Result>();
  resultAction$ = this.resultAction.asObservable();
  constructor() { }

  observersButtonsAction() {
    return this.buttonsAction.observers;
  }
  actionChange(a: Action) {
    this.buttonsAction.next(a);
  }
}
